[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[E-devel] ETerm configure.in patch for automake-1.10 that ask the addition of AM_PROG_AS



The error :
/usr/share/automake-1.10/am/depend2.am: am__fastdepCCAS does not appear
in AM_CONDITIONAL
/usr/share/automake-1.10/am/depend2.am:   The usual way to define
`am__fastdepCCAS' is to add `AM_PROG_AS'
/usr/share/automake-1.10/am/depend2.am:   to `configure.in' and run
`aclocal' and `autoconf' again.


The patch result :
Generating configuration files for Eterm, please wait....
+ libtoolize -c -f
You should add the contents of `/usr/share/aclocal/libtool.m4' to
`aclocal.m4'.
+ aclocal -I .
configure.in:125: warning: AC_ARG_PROGRAM invoked multiple times
+ autoconf
configure.in:125: warning: AC_ARG_PROGRAM invoked multiple times
+ autoheader
configure.in:125: warning: AC_ARG_PROGRAM invoked multiple times
+ automake -a -c
configure.in:125: warning: AC_ARG_PROGRAM invoked multiple times
configure.in:25: installing `./missing'
configure.in:25: installing `./install-sh'
src/Makefile.am: installing `./depcomp'

Note on automake-1.10 : It seems that it is way much more strict then
pass version. I added my result with the patch as I don't know if the
warning are real problem. I only began to look how autofoo work 2 month ago.

Hope it will help other fellow that use automake-1.10
Index: eterm/Eterm/configure.in
===================================================================
RCS file: /var/cvs/e/eterm/Eterm/configure.in,v
retrieving revision 1.94
diff -u -r1.94 configure.in
--- eterm/Eterm/configure.in	4 Jan 2006 08:44:14 -0000	1.94
+++ eterm/Eterm/configure.in	5 Nov 2006 23:06:05 -0000
@@ -91,6 +91,8 @@
     CFLAGS="$CCOPTS"
 fi
 
+AM_PROG_AS
+
 AC_ARG_WITH(cc, [  --with-cc=compiler      force Eterm to build with a particular compiler (like pgcc, egcs, etc.)], [
             CC=$withval, 
   if test -z "$CC"; then